package io.gmss.fiscad.interfaces.rfu.parametre;

import io.gmss.fiscad.entities.rfu.parametre.CategorieBatiment;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;
@Service
public interface CategorieBatimentService {

    CategorieBatiment createCategorieBatiment(CategorieBatiment categorieBatiment) throws BadRequestException;

    CategorieBatiment updateCategorieBatiment(Long id, CategorieBatiment categorieBatiment) throws NotFoundException;

    void deleteCategorieBatiment(Long id) throws NotFoundException;

    Page<CategorieBatiment> getCategorieBatimentList(Pageable pageable);

    List<CategorieBatiment> getCategorieBatimentList();

    Optional<CategorieBatiment> getCategorieBatimentById(Long id);
}

